Subject: bug#60796: 27.1; Opening file ending in .sh inside a directory ending in .deb causes hang/100% thread usage

From: Stephen Berman <[email-masked]>
Date: Sun, 15 Jan 2023 18:04:38 +0100

On Sun, 15 Jan 2023 17:47:53 +0100 Michael Albinus <[email-masked]> wrote:

> Stephen Berman <[email-masked]> writes:
>
> Hi Stephen,
>
>>> Strange. As said, I don't see it in my Emacs 27 build of the git tree.
>>>
>>> Given, that you (and I) haven't seen the problem in newer Emacs/Tramp
>>> versions, I don't know what to test else. Perhaps we shall assume that
>>> it is fixed meanwhile (although I hate it not to know the reason)?
>>
>> It's good that it's apparently not an issue for current Emacs, yet it
>> does seem odd that in Emacs 27 some see the problem and others don't,
>> and even if it has been fixed (or just disappeared), it would be
>> interesting to track down the problem.  If anyone has any other ideas
>> how to go about that, I'm willing to try them.  (But please not
>> bisecting between Emacs 27 and 28, I don't have time for that.)
>
> One workaround we could offer is using the current Tramp from ELPA
> (2.6.0) with Emacs 27. Do you want to test this combination?

I installed Tramp from ELPA, then invoked Emacs 27 as before but instead
of loading tramp-archive.elc from the Emacs 27 build I loaded the one
from ELPA.  But Emacs 27 still immediately locked up.  So do I have to
do something else?

Steve Berman